//
//  SQRowDivider.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 05/06/2025.
//

import SwiftUI

struct SQRowDivider: View {
    var body: some View {
        Rectangle()
            .frame(height: 16)
            .foregroundColor(Color.sqNeutral(10))
    }
}

struct SQDivider: View {
    var backgroundColor: Color

    init(_ backgroundColor: Color = Color.sqNeutral(20)) {
        self.backgroundColor = backgroundColor
    }

    var body: some View {
        Divider()
            .overlay(backgroundColor)
    }
}

#Preview {
    SQRowDivider()
}
